<?php
/**
 *
 * @link              mailto:sepordeh.com
 * @since             1.0.0
 * @package           Sepordeh_Wp_Events_Manager
 *
 * @wordpress-plugin
 * Plugin Name:       درگاه سپرده افزونه WP Events Manager
 * Plugin URI:        https://sepordeh.com/
 * Description:       درگاه پرداخت sepordeh.com برای پلاگین مدیریت رویداد وردپرس.
 * Version:           1.1.0
 * Author:            sepordeh.com
 * Author URI:        mailto:sepordeh.com
 * License:           mailto:sepordeh.com
 * License URI:       mailto:sepordeh.com
 * Text Domain:       sepordeh-wp-events-manager
 */


if (!defined('WPINC')) {
    die;
}

// so lets go start coding

if (class_exists('WPEMS_Abstract_Payment_Gateway')) {

    if (!class_exists('WPEMS_Payment_Gateway_Sepordeh')) {
        include plugin_dir_path(__FILE__) . 'class-wpems-payment-gateway-sepordeh.php';
    }

    // watch payment query
    add_action('init', 'spwpems_get_request_payment', 99);
    function spwpems_get_request_payment()
    {
        (new WPEMS_Payment_Gateway_Sepordeh())->payment_validation();
    }

    add_filter('wpems_currencies', function ($currencies) {
        $currencies['IRR'] = __('ایران (ریال)');
        $currencies['IRT'] = __('ایران (تومان)');
        return $currencies;
    });

    add_filter('tp_event_currency_symbol', function ($currency_symbol, $currency) {
        switch ($currency) {
            case 'IRR' :
                $currency_symbol = __('ریال');
                break;
            case 'IRT' :
                $currency_symbol = __('تومان');
                break;
        }
        return $currency_symbol;
    }, 11, 2);

    // add sepordeh payment geteway to setting
    add_filter('wpems_payment_gateways', 'add_sepordeh_checkout_section');
    function add_sepordeh_checkout_section($gateways)
    {
        $gateways['sepordeh'] = new WPEMS_Payment_Gateway_Sepordeh();
        return $gateways;
    }
} else {
    add_action('admin_notices', 'spwpems_admin_notice_active_base_plugin');
    function spwpems_admin_notice_active_base_plugin()
    {
        ?>
        <div class="notice notice-warning">
            <p><b>توجه</b>به نظر میرسد افزونه wp events manager که نصب کرده اید نسخه اصلی نیست.</p>
        </div>
        <?php
    }
}
